# Push

## AV. Push

Source:
  - push.js, line 9

### Methods

#### (static) send(data, optionsopt) → {Promise}

Source:
  - push.js, line 28

Sends a push notification.

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---

`data`

Object

The data of the push notification.

###### Properties

Name | Type | Attributes | Description
--- | --- | --- | ---
`channels` | Array.<String> | <optional> | An Array of channels to push to.
`push_time` | Date | <optional> | A Date object for when to send the push.
`expiration_time` | Date | <optional> | A Date object for when to expire the push.
`expiration_interval` | Number | <optional> | The seconds from now to expire the push.
`where` | AV.Query | <optional> | An AV.Query over AV.Installation that is used to match a set of installations to push to.
`cql` | String | <optional> | A CQL statement over AV.Installation that is used to match a set of installations to push to.
`data` | Object |  | The data to send as part of the push. More details: https://url.leanapp.cn/pushData

`options` | AuthOptions | <optional> |

##### Returns:

Type
  Promise